/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const M=require("react"),O=require("prop-types"),m=require("@progress/kendo-charts"),T=require("./events/map-event-builder.js"),v=require("./store/store.js"),f=require("./store/reducer.js"),k=require("./MapContext.js"),S=require("./tooltip/MapTooltip.js"),I=require("@progress/kendo-react-common"),w=require("./package-metadata.js"),L=require("./events/dom-event.js"),c=require("@progress/kendo-svg-icons");function A(p){const e=Object.create(null,{[Symbol.toStringTag]:{value:"Module"}});if(p){for(const t in p)if(t!=="default"){const n=Object.getOwnPropertyDescriptor(p,t);Object.defineProperty(e,t,n.get?n:{enumerable:!0,get:()=>p[t]})}}return e.default=p,Object.freeze(e)}const a=A(M),g={mapMarkerTargetIcon:c.mapMarkerTargetIcon,mapMarkerIcon:c.mapMarkerIcon,plusIcon:c.plusIcon,minusIcon:c.minusIcon,caretAltUpIcon:c.caretAltUpIcon,caretAltDownIcon:c.caretAltDownIcon,caretAltLeftIcon:c.caretAltLeftIcon,caretAltRightIcon:c.caretAltRightIcon},b="svg",h=class h extends a.Component{constructor(e){super(e),this.mapInstance=null,this._element=null,this.optionsStore={},this.optionsUnsubscriber=Function.prototype,this.observersStore={},this.showLicenseWatermark=!1,this.iconsType=b,this.svgIcons=g,this.onInit=t=>{this.mapInstance=t.sender},this.onRender=t=>{this.mapInstance!==null&&this.trigger("render",t)},this.onMapMouseLeave=t=>{const n=L.toDomEvent(this,t);this.triggerDomEvent("onMouseLeave",n)?t.preventDefault():this.mapInstance!==null&&this.mapInstance.hideTooltip()},this.showLicenseWatermark=!I.validatePackage(w.packageMetadata,{component:"Map"}),this.optionsStore=v(f.optionsReducer),this.observersStore=v(f.observersReducer),this.childrenObserver=new m.InstanceObserver(this,{onMouseLeave:"onChildMouseLeave"}),this.contextValue={optionsStore:this.optionsStore,observersStore:this.observersStore,childrenObserver:this.childrenObserver},this.mapObserver=new m.InstanceObserver(this,{init:"onInit"})}get element(){return this._element}componentDidMount(){this.instantiateCoreMap(),this.optionsUnsubscriber=this.optionsStore.subscribe(this.refresh.bind(this))}componentWillUnmount(){this.optionsUnsubscriber(),this.mapInstance!==null&&(this.mapInstance.destroy(),this.mapInstance=null)}componentDidUpdate(e){const{dir:t,children:n,...s}=this.props;this.mapInstance!==null&&(Object.entries(e).filter(r=>r[0]!=="dir"&&r[0]!=="children").some(r=>{const[i,l]=r;return!(s.hasOwnProperty(i)&&s[i]===l)})&&this.refresh(),e.dir)}render(){const{style:e={},className:t,children:n}=this.props,s=Object.assign({},e,{position:"relative"}),o=a.createElement("div",{className:t,style:s,key:"mapElement"},a.createElement("div",{ref:r=>{this._element=r},className:"k-map",onMouseLeave:this.onMapMouseLeave},n));return a.createElement(a.Fragment,null,a.createElement(I.IconsContext.Consumer,null,r=>a.createElement(k.MapContext.Provider,{value:this.contextValue},a.createElement(S.MapTooltip,{key:"tooltip"}),o,this.setIcons(r))),this.showLicenseWatermark&&a.createElement(I.WatermarkOverlay,null))}getMapOptions(){const{center:e,controls:t,minZoom:n,maxZoom:s,minSize:o,pannable:r,wraparound:i,zoom:l,zoomable:y}=this.props;let u={center:e,controls:t,minZoom:n,maxZoom:s,minSize:o,pannable:r,wraparound:i,zoom:l,zoomable:y,icons:{type:this.iconsType,svgIcons:this.svgIcons}};return u=Object.assign(u,this.optionsStore.getState()),u}get layers(){var e;return(e=this.mapInstance)==null?void 0:e.layers}get extent(){var e;return(e=this.mapInstance)==null?void 0:e.extent()}set extent(e){var t;(t=this.mapInstance)==null||t.extent(e)}resize(){}viewSize(){var e;return(e=this.mapInstance)==null?void 0:e.viewSize()}eventOffset(e){var t;return(t=this.mapInstance)==null?void 0:t.eventOffset(e)}eventToLayer(e){var t;return(t=this.mapInstance)==null?void 0:t.eventToLayer(e)}eventToLocation(e){var t;return(t=this.mapInstance)==null?void 0:t.eventToLocation(e)}eventToView(e){var t;return(t=this.mapInstance)==null?void 0:t.eventToView(e)}layerToLocation(e,t){var n;return(n=this.mapInstance)==null?void 0:n.layerToLocation(e,t)}locationToLayer(e,t){var n;return(n=this.mapInstance)==null?void 0:n.locationToLayer(e,t)}locationToView(e){var t;return(t=this.mapInstance)==null?void 0:t.locationToView(e)}viewToLocation(e,t){var n;return(n=this.mapInstance)==null?void 0:n.viewToLocation(e,t)}loadMarkers(e){const t=this.mapInstance.markers;t&&t._load(e)}refresh(){if(this.mapInstance!==null){const e=this.getMapOptions();this.props.onRefresh?this.props.onRefresh.call(void 0,e,this.mapInstance):this.mapInstance.setOptions(e)}}instantiateCoreMap(){const e=this.getMapOptions();this.mapInstance=new m.Map(this.element,e,{},{observer:this.mapObserver,sender:this})}trigger(e,t){const n=e==="click"?"mapClick":e,s=T.create(n,t,this),o="on"+n.charAt(0).toUpperCase()+n.slice(1),r=this.observersStore.getState();let i=!1;for(let l=0;l<r.length;l++)r[l].trigger(n,t)&&(i=!0);return i===!1&&s&&this.props.hasOwnProperty(o)?(this.props[o].call(void 0,s),s.isDefaultPrevented&&s.isDefaultPrevented()):i}requiresHandlers(e){for(let t=0;t<e.length;t++){const n=e[t],s="on"+n.charAt(0).toUpperCase()+n.slice(1);if(this.props.hasOwnProperty(s))return!0}return!1}triggerDomEvent(e,t){const n=this.observersStore.getState();let s=!1;for(let o=0;o<n.length;o++)n[o].trigger(e,t)&&(s=!0);return s}setIcons(e){const{type:t,icons:n={}}=e,s={...g},o={mapMarkerTargetIcon:n.mapMarkerTargetIcon,mapMarkerIcon:n.mapMarkerIcon,plusIcon:n.plusIcon,minusIcon:n.minusIcon,caretAltUpIcon:n.caretAltUpIcon,caretAltDownIcon:n.caretAltDownIcon,caretAltLeftIcon:n.caretAltLeftIcon,caretAltRightIcon:n.caretAltRightIcon};let r;for(r in o)if(o[r]){const i=o[r];i&&typeof i!="string"&&(s[r]=i)}return this.svgIcons=s,this.iconsType=t||b,null}};h.propTypes={dir:O.string},h.defaultProps={};let d=h;exports.Map=d;
